> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get NFT collection metadata

> Query NFT collection metadata.



## OpenAPI

````yaml get /v1/nft/collection
openapi: 3.0.2
info:
  title: 🖼 NFT API
  version: v1.0.0
servers:
  - url: https://api.chainbase.online
    description: production server
security: []
paths:
  /v1/nft/collection:
    get:
      tags:
        - NFT Collections
      summary: Get NFT collection metadata
      description: Query NFT collection metadata.
      operationId: GetNFTCollection
      parameters:
        - description: >-
            chain network id, see [list of
            details](/platform/features/api/web3-api)
          required: true
          schema:
            title: Chain Id
            type: string
            description: >-
              chain network id, see [list of
              details](/platform/features/api/web3-api)
          example: '1'
          name: chain_id
          in: query
        - description: The address of the NFT contract
          required: true
          schema:
            title: Contract Address
            pattern: ^0[xX]{1}[a-fA-F0-9]{40}$
            type: string
            description: The address of the NFT contract
          example: '0xed5af388653567af2f388e6224dc7c4b3241c544'
          name: contract_address
          in: query
        - required: true
          schema:
            title: X-Api-Key
            type: string
            example: demo
          example: demo
          name: x-api-key
          in: header
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseGetNFTCollection'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
components:
  schemas:
    ResponseGetNFTCollection:
      title: ResponseGetNFTCollection
      type: object
      properties:
        code:
          title: Code
          type: integer
          default: 0
        message:
          title: Message
          type: string
          default: ok
        data:
          $ref: '#/components/schemas/NFTCollection'
    ErrorMessage:
      title: ErrorMessage
      required:
        - code
        - message
      type: object
      properties:
        code:
          title: Code
          type: integer
        message:
          title: Message
          type: string
    NFTCollection:
      title: NFTCollection
      required:
        - contract_address
        - name
        - symbol
        - description
        - owner
        - erc_type
        - banner_image_url
        - image_url
      type: object
      properties:
        contract_address:
          title: Contract Address
          type: string
          description: The contract address of the NFT collection
        name:
          title: Name
          type: string
          description: The name of the NFT collection
        symbol:
          title: Symbol
          type: string
          description: The symbol of the NFT contract
        description:
          title: Description
          type: string
          description: The description of the NFT collection
        owner:
          title: Owner
          type: string
          description: The user address who owns the contract
        deploy_block_number:
          title: Deploy Block Number
          type: integer
          description: The block number when the contract was deployed.
        erc_type:
          title: Erc Type
          type: string
          description: ERC standard related to the contract.
        banner_image_url:
          title: Banner Image Url
          type: string
          description: The URL of the banner image.
        image_url:
          title: Image Url
          type: string
          description: The URL of the image asset.
        media_info:
          title: Media Info
          description: The medio information.
        traits:
          title: Traits
          description: List of NFT collection traits.
        floor_prices:
          title: Floor Prices
          type: array
          items:
            $ref: '#/components/schemas/NFTCollectionFloorPrice'
          description: List of floor prices.
    NFTCollectionFloorPrice:
      title: NFTCollectionFloorPrice
      type: object
      properties:
        value:
          title: Value
          type: string
          description: The amount of the ERC-20 token.
        symbol:
          title: Symbol
          type: string
          description: The symbol of the ERC-20 token.
        address:
          title: Address
          type: string
          description: The address of the ERC-20 token.

````